

let () =
  Bintree.complete 8
  |> Bintree.find_trivial_embedding
  |> Bintree.map ~f:snd
  |> Bintree.map ~f:(fun pos -> Gg.V2.(pos + v 0. 13.))
  |> Bintree.to_image
  |> ExportSvg.draw
    ~title:"complete tree"
    ~description:"A complete tree of depth 8"
    ~filename:"pic/complete8.svg"
    
